Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.runtime.metaclass
[Java] Class MixinInstanceMetaProperty

    java.lang.Object
      groovy.lang.MetaProperty
          groovy.lang.MetaBeanProperty
              org.codehaus.groovy.runtime.metaclass.MixinInstanceMetaProperty

    public class MixinInstanceMetaProperty
    extends MetaBeanProperty

MetaProperty for mixed in classes

Field Summary

Fields inherited from class MetaProperty
PROPERTY_SET_PREFIX, name, type

Constructor Summary
`MixinInstanceMetaProperty(MetaProperty property, MixinInMetaClass mixinInMetaClass)`

Method Summary

Methods inherited from class MetaBeanProperty
getField, getGetter, getModifiers, getProperty, getSetter, setField, setProperty

Methods inherited from class MetaProperty
getGetterName, getModifiers, getName, getProperty, getSetterName, getType, setProperty

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### MixinInstanceMetaProperty

    public MixinInstanceMetaProperty(MetaProperty property, MixinInMetaClass mixinInMetaClass)

Groovy Documentation